<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>


    <div class="modal-header">
        <h4 class="modal-title" id="myEvidenceLabel" data-translate="probioticApp.evidence.home.createOrEditLabel">
            Create or edit a Evidence</h4>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.evidence.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   ng-model="vm.evidence.id" readonly/>
        </div>

        <div class="form-group">
            <label data-translate="probioticApp.evidence.pathology">Pathology</label>
            <div class="row">
                <div ng-repeat="pathology in vm.pathologies track by pathology.id" class="col-md-6 action-checkbox">
                    <input id="pathology-{{pathology.id}}" type="checkbox"
                           ng-true-value="{{pathology.id}}" ng-checked="vm.evidence.pathologyId"
                           ng-model="vm.evidence.pathologyId">
                    <label class="control-label" for="pathology-{{pathology.id}}">
                        {{pathology.name}}
                    </label>
                    </input>

                </div>
            </div>

            <div ng-show="!vm.evidence.pathologyId">
                <p class="help-block"
                   ng-show="!vm.evidence.pathologyId" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.pagePathology" total="vm.queryCountPathology"
                                items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItemsPathology"
                                items-per-page="vm.itemsPerPage"
                                ng-model="vm.pagePathology" ng-change="vm.transitionPathology()"></uib-pagination>
            </div>
        </div>

        <div class="form-group">
            <label data-translate="probioticApp.evidence.evidencetype">Evidencetype</label>
            <div class="row">
                <div ng-repeat="evidencetype in vm.evidencetypes track by evidencetype.id"
                     class="col-md-6 action-checkbox">
                    <input id="evidencetype-{{evidencetype.id}}" type="checkbox"
                           ng-true-value="{{evidencetype.id}}" ng-checked="vm.evidence.evidencetypeId"
                           ng-model="vm.evidence.evidencetypeId">
                    <label class="control-label" for="evidencetype-{{evidencetype.id}}">
                        {{evidencetype.name}}
                    </label>
                    </input>
                </div>
            </div>

            <div ng-show="!vm.evidence.evidencetypeId">
                <p class="help-block"
                   ng-show="!vm.evidence.evidencetypeId" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.pageEvidencetype" total="vm.queryCountEvidencetype"
                                items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItemsEvidencetype"
                                items-per-page="vm.itemsPerPage"
                                ng-model="vm.pageEvidencetype" ng-change="vm.transitionEvidencetype()"></uib-pagination>
            </div>
        </div>


        <div class="form-group">
            <label data-translate="probioticApp.evidence.evidencereferences">Evidencereferences</label>
            <div class="row">
                <div ng-repeat="evidencereferences in vm.evidencereferences track by evidencereferences.id"
                     class="col-md-6 action-checkbox">
                    <input class="form-check-input" id="evidencereferences-{{evidencereferences.id}}" type="checkbox"
                           ng-true-value="{{evidencereferences.id}}"
                           ng-checked="vm.isCheckedReferences(evidencereferences.id) == true"
                           ng-click="vm.currentSelectionReferences(evidencereferences)">
                    <label class="form-check-label" for="evidencereferences-{{evidencereferences.id}}">
                        <div class="line-container">
                            <div class="single-line" tooltip-placement="top"
                                 uib-tooltip="{{evidencereferences.id}} - {{evidencereferences.text}}">
                                {{evidencereferences.id}} - {{evidencereferences.text}}
                            </div>
                        </div>
                    </label>
                    </input>
                </div>
            </div>

            <div ng-show="vm.evidence.evidencereferences == ''">
                <p class="help-block"
                   ng-show="vm.evidence.evidencereferences == ''" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.pageReferences" total="vm.queryCountReferences"
                                items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItemsReferences"
                                items-per-page="vm.itemsPerPage"
                                ng-model="vm.pageReferences" ng-change="vm.transitionReferences()"></uib-pagination>
            </div>

        </div>

        <div class="form-group">
            <label data-translate="probioticApp.evidence.dosage">Dosage</label>
            <div class="row">
                <div ng-repeat="dosage in vm.dosages track by dosage.id" class="col-md-6 action-checkbox">
                    <input id="dosage-{{dosage.id}}" type="checkbox"
                           ng-true-value="{{dosage.id}}" ng-checked="vm.evidence.dosageId"
                           ng-model="vm.evidence.dosageId">
                    <label class="control-label" for="dosage-{{dosage.id}}">
                        <div class="line-container">
                            <div class="single-line" tooltip-placement="top"
                                 uib-tooltip="{{dosage.id}} - {{dosage.probioticName}} - {{dosage.age}} - {{dosage.doseformName}}">
                                {{dosage.id}} - {{dosage.probioticName}} - {{dosage.age}} - {{dosage.doseformName}}
                            </div>
                        </div>
                    </label>
                    </input>

                </div>
            </div>

            <div ng-show="!vm.evidence.dosageId">
                <p class="help-block"
                   ng-show="!vm.evidence.dosageId" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.pageDosage" total="vm.queryCountDosage"
                                items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItemsDosage"
                                items-per-page="vm.itemsPerPage"
                                ng-model="vm.pageDosage" ng-change="vm.transitionDosage()"></uib-pagination>
            </div>
        </div>




    </div>

    <div class="footer">
        <button type="submit"
                onclick="window.history.go(-1); return false;"
                class="btn">
            <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;
            <span class="hidden-sm-down" data-translate="entity.action.back"> Back</span>
        </button>
        <button type="submit"
                ng-disabled="editForm.$invalid || vm.isSaving || !vm.evidence.pathologyId || !vm.evidence.evidencetypeId || vm.evidence.evidencereferences == '' || !vm.evidence.dosageId"
                class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>
    </div>
    <br>
    <br>
</form>
